Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597586 - kdump failed in virtio driver
Summary: kdump failed in virtio driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 14
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 597580
TreeView+ depends on / blocked
 
Reported: 2010-05-29 17:31 UTC by Qian Cai
Modified: 2011-04-25 03:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-25 03:17:37 UTC


Attachments (Terms of Use)

Description Qian Cai 2010-05-29 17:31:47 UTC
Description of problem:
When kdumping in a KVM guest with virtio driver, it panics here,

Loading virtio_pci.ko module
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
virtio-pci 0000:00:03.0: PCI INT A -> Link[LNKC] -> GSI 10 (level, high) -> IRQ 10
virtio-pci 0000:00:03.0: setting latency timer to 64
virtio-pci 0000:00:04.0: PCI INT A -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
virtio-pci 0000:00:04.0: setting latency timer to 64
  alloc irq_desc for 24 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:04.0: irq 24 for MSI/MSI-X
  alloc irq_desc for 25 on node -1
  alloc kstat_irqs on node -1
virtio-pci 0000:00:04.0: irq 25 for MSI/MSI-X
blk_queue_max_segments: set to minimum 1
 vda:
------------[ cut here ]------------
kernel BUG at drivers/block/virtio_blk.c:170!
invalid opcode: 0000 [#1] SMP 
last sysfs file: /sys/kernel/uevent_helper
CPU 0 
Modules linked in: virtio_pci(+) mii i2c_core snd_page_alloc soundcore virtio_balloon ac97_bus ipv6 ip6_tables virtio_blk virtio virtio_ring

Pid: 113, comm: insmod Not tainted 2.6.34-11.fc14.x86_64 #1 /Bochs
RIP: 0010:[<ffffffffa000e251>]  [<ffffffffa000e251>] do_virtblk_request+0x5c/0x26c [virtio_blk]
RSP: 0018:ffff8800076d34d8  EFLAGS: 00010002
RAX: 0000000000000003 RBX: ffff8800074d9740 RCX: ffff8800074d9740
RDX: 0000000100000080 RSI: ffff88000766e620 RDI: 0000000000000000
RBP: ffff8800076d3548 R08: ffff8800074d9740 R09: 0000000000000001
R10: 0000000000000046 R11: 0000000000000001 R12: ffff8800076e4148
R13: ffff88000766e620 R14: 0000000000000002 R15: ffff8800074d9740
FS:  0000000000000000(0000) GS:ffff880003200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000004b2135 CR3: 00000000075de000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process insmod (pid: 113, threadinfo ffff8800076d2000, task ffff880007662480)
Stack:
 ffff8800074d9880 0000000000000001 ffff8800076d3528 ffff8800076e41a0
<0> ffff8800076e41e8 ffff8800076e41c0 00000000076d3568 ffff8800074d9740
<0> ffff8800031494b0 ffff8800074d9740 ffff8800031494b0 ffff8800076d3658
Call Trace:
 [<ffffffff810dbca6>] ? sync_page+0x0/0x55
 [<ffffffff8121878a>] __generic_unplug_device+0x35/0x3a
 [<ffffffff81218a3b>] generic_unplug_device+0x2e/0x3e
 [<ffffffff81216b03>] blk_unplug+0x29/0x2d
 [<ffffffff81216b19>] blk_backing_dev_unplug+0x12/0x14
 [<ffffffff81142389>] block_sync_page+0x38/0x3c
 [<ffffffff810dbcf2>] sync_page+0x4c/0x55
 [<ffffffff81480fc0>] __wait_on_bit_lock+0x46/0x8f
 [<ffffffff810dbc8d>] __lock_page+0x66/0x6d
 [<ffffffff8106add7>] ? wake_bit_function+0x0/0x33
 [<ffffffff810dc99a>] lock_page+0x3c/0x41
 [<ffffffff810dcbf2>] do_read_cache_page+0xc3/0x126
 [<ffffffff811482c7>] ? blkdev_readpage+0x0/0x1a
 [<ffffffff810dcc99>] read_cache_page_async+0x1c/0x1e
 [<ffffffff810dcca9>] read_cache_page+0xe/0x18
 [<ffffffff81175927>] read_dev_sector+0x33/0x96
 [<ffffffff81177dc4>] read_lba+0x7e/0xdf
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81178270>] find_valid_gpt+0xcc/0x4cd
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff811786eb>] efi_partition+0x7a/0x2e7
 [<ffffffff81480281>] ? printk+0x41/0x48
 [<ffffffff81176433>] rescan_partitions+0x184/0x3a7
 [<ffffffff81148a46>] __blkdev_get+0x2b2/0x3a8
 [<ffffffff8122b73b>] ? kobject_put+0x47/0x4b
 [<ffffffff81148b4c>] blkdev_get+0x10/0x12
 [<ffffffff81175ad2>] register_disk+0xdc/0x13f
 [<ffffffff8121f23b>] add_disk+0xaf/0x10b
 [<ffffffffa000ea84>] virtblk_probe+0x44f/0x48f [virtio_blk]
 [<ffffffff8117b079>] ? sysfs_do_create_link+0xe7/0x13c
 [<ffffffffa000e461>] ? blk_done+0x0/0xce [virtio_blk]
 [<ffffffffa00072df>] virtio_dev_probe+0xb7/0xdb [virtio]
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f138f>] __device_attach+0x3a/0x3f
 [<ffffffff812f1355>] ? __device_attach+0x0/0x3f
 [<ffffffff812f0283>] bus_for_each_drv+0x59/0x90
 [<ffffffff812f142f>] device_attach+0x6c/0x90
 [<ffffffff812f0097>] bus_probe_device+0x27/0x3e
 [<ffffffff812ee6b9>] device_add+0x3c2/0x59e
 [<ffffffff812ee8b3>] device_register+0x1e/0x22
 [<ffffffffa00073ec>] register_virtio_device+0x7b/0x99 [virtio]
 [<ffffffff81244f51>] ? pci_set_master+0x23/0x27
 [<ffffffffa00ace23>] virtio_pci_probe+0x161/0x1a5 [virtio_pci]
 [<ffffffff81246079>] local_pci_probe+0x17/0x1b
 [<ffffffff81247001>] pci_device_probe+0xcd/0xfd
 [<ffffffff812f0fcf>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f1331>] __driver_attach+0x5d/0x81
 [<ffffffff812f12d4>] ? __driver_attach+0x0/0x81
 [<ffffffff812f0573>] bus_for_each_dev+0x59/0x8e
 [<ffffffff812f0f2e>] driver_attach+0x1e/0x20
 [<ffffffff812f0b4f>] bus_add_driver+0xfa/0x263
 [<ffffffff812f1638>] driver_register+0x9e/0x10f
 [<ffffffff81247247>] __pci_register_driver+0x68/0xd8
 [<ffffffff812eea77>] ? __root_device_register+0x8a/0xa7
 [<ffffffffa00b0000>] ? virtio_pci_init+0x0/0x60 [virtio_pci]
 [<ffffffffa00b0048>] virtio_pci_init+0x48/0x60 [virtio_pci]
 [<ffffffff8100207d>] do_one_initcall+0x72/0x18a
 [<ffffffff8108a9ba>] sys_init_module+0xd8/0x23a
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
Code: 8d 84 24 a0 00 00 00 48 89 45 b0 49 8d 44 24 58 48 89 45 a8 e9 ef 01 00 00 41 0f b7 85 b8 00 00 00 83 c0 02 41 3b 44 24 70 76 04 <0f> 0b eb fe 49 8b 7c 24 68 be 20 00 00 00 e8 b8 f5 0c e1 48 85 
RIP  [<ffffffffa000e251>] do_virtblk_request+0x5c/0x26c [virtio_blk]
 RSP <ffff8800076d34d8>
---[ end trace 4fc53a6b4d90ec57 ]---
insmod used greatest stack depth: 2696 bytes left
input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input2
BUG: spinlock lockup on CPU#0, insmod/113, ffff8800076e4148
Pid: 113, comm: insmod Tainted: G      D    2.6.34-11.fc14.x86_64 #1
Call Trace:
 [<ffffffff81236e4b>] do_raw_spin_lock+0x112/0x142
 [<ffffffff812250f3>] ? rcu_read_lock+0x0/0x35
 [<ffffffff81482ac7>] _raw_spin_lock_irqsave+0x6e/0x88
 [<ffffffff81224e23>] ? cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff81224e23>] cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff8122548e>] call_for_each_cic+0x37/0x5d
 [<ffffffff812254c9>] cfq_exit_io_context+0x15/0x17
 [<ffffffff8121c374>] exit_io_context+0x80/0xac
 [<ffffffff8121c33f>] ? exit_io_context+0x4b/0xac
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8105464c>] do_exit+0x776/0x7aa
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff8148450f>] oops_end+0xbf/0xc7
 [<ffffffff8100d4d1>] die+0x5a/0x63
 [<ffffffff81483f28>] do_trap+0x121/0x130
 [<ffffffff8100b636>] do_invalid_op+0x94/0x9d
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffff812137a8>] ? elv_rb_del+0x35/0x4e
 [<ffffffff814826da>] ? trace_hardirqs_off_thunk+0x3a/0x3c
 [<ffffffff81483600>] ? irq_return+0x0/0x10
 [<ffffffff8100a95b>] invalid_op+0x1b/0x20
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffffa000e436>] ? do_virtblk_request+0x241/0x26c [virtio_blk]
 [<ffffffff810dbca6>] ? sync_page+0x0/0x55
 [<ffffffff8121878a>] __generic_unplug_device+0x35/0x3a
 [<ffffffff81218a3b>] generic_unplug_device+0x2e/0x3e
 [<ffffffff81216b03>] blk_unplug+0x29/0x2d
 [<ffffffff81216b19>] blk_backing_dev_unplug+0x12/0x14
 [<ffffffff81142389>] block_sync_page+0x38/0x3c
 [<ffffffff810dbcf2>] sync_page+0x4c/0x55
 [<ffffffff81480fc0>] __wait_on_bit_lock+0x46/0x8f
 [<ffffffff810dbc8d>] __lock_page+0x66/0x6d
 [<ffffffff8106add7>] ? wake_bit_function+0x0/0x33
 [<ffffffff810dc99a>] lock_page+0x3c/0x41
 [<ffffffff810dcbf2>] do_read_cache_page+0xc3/0x126
 [<ffffffff811482c7>] ? blkdev_readpage+0x0/0x1a
 [<ffffffff810dcc99>] read_cache_page_async+0x1c/0x1e
 [<ffffffff810dcca9>] read_cache_page+0xe/0x18
 [<ffffffff81175927>] read_dev_sector+0x33/0x96
 [<ffffffff81177dc4>] read_lba+0x7e/0xdf
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81178270>] find_valid_gpt+0xcc/0x4cd
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff811786eb>] efi_partition+0x7a/0x2e7
 [<ffffffff81480281>] ? printk+0x41/0x48
 [<ffffffff81176433>] rescan_partitions+0x184/0x3a7
 [<ffffffff81148a46>] __blkdev_get+0x2b2/0x3a8
 [<ffffffff8122b73b>] ? kobject_put+0x47/0x4b
 [<ffffffff81148b4c>] blkdev_get+0x10/0x12
 [<ffffffff81175ad2>] register_disk+0xdc/0x13f
 [<ffffffff8121f23b>] add_disk+0xaf/0x10b
 [<ffffffffa000ea84>] virtblk_probe+0x44f/0x48f [virtio_blk]
 [<ffffffff8117b079>] ? sysfs_do_create_link+0xe7/0x13c
 [<ffffffffa000e461>] ? blk_done+0x0/0xce [virtio_blk]
 [<ffffffffa00072df>] virtio_dev_probe+0xb7/0xdb [virtio]
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f138f>] __device_attach+0x3a/0x3f
 [<ffffffff812f1355>] ? __device_attach+0x0/0x3f
 [<ffffffff812f0283>] bus_for_each_drv+0x59/0x90
 [<ffffffff812f142f>] device_attach+0x6c/0x90
 [<ffffffff812f0097>] bus_probe_device+0x27/0x3e
 [<ffffffff812ee6b9>] device_add+0x3c2/0x59e
 [<ffffffff812ee8b3>] device_register+0x1e/0x22
 [<ffffffffa00073ec>] register_virtio_device+0x7b/0x99 [virtio]
 [<ffffffff81244f51>] ? pci_set_master+0x23/0x27
 [<ffffffffa00ace23>] virtio_pci_probe+0x161/0x1a5 [virtio_pci]
 [<ffffffff81246079>] local_pci_probe+0x17/0x1b
 [<ffffffff81247001>] pci_device_probe+0xcd/0xfd
 [<ffffffff812f0fcf>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f1331>] __driver_attach+0x5d/0x81
 [<ffffffff812f12d4>] ? __driver_attach+0x0/0x81
 [<ffffffff812f0573>] bus_for_each_dev+0x59/0x8e
 [<ffffffff812f0f2e>] driver_attach+0x1e/0x20
 [<ffffffff812f0b4f>] bus_add_driver+0xfa/0x263
 [<ffffffff812f1638>] driver_register+0x9e/0x10f
 [<ffffffff81247247>] __pci_register_driver+0x68/0xd8
 [<ffffffff812eea77>] ? __root_device_register+0x8a/0xa7
 [<ffffffffa00b0000>] ? virtio_pci_init+0x0/0x60 [virtio_pci]
 [<ffffffffa00b0048>] virtio_pci_init+0x48/0x60 [virtio_pci]
 [<ffffffff8100207d>] do_one_initcall+0x72/0x18a
 [<ffffffff8108a9ba>] sys_init_module+0xd8/0x23a
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
sending NMI to all CPUs:
NMI backtrace for cpu 0
CPU 0 
Modules linked in: virtio_pci(+) mii i2c_core snd_page_alloc soundcore virtio_balloon ac97_bus ipv6 ip6_tables virtio_blk virtio virtio_ring

Pid: 113, comm: insmod Tainted: G      D    2.6.34-11.fc14.x86_64 #1 /Bochs
RIP: 0010:[<ffffffff81025154>]  [<ffffffff81025154>] _flat_send_IPI_mask+0x79/0xab
RSP: 0018:ffff8800076d3088  EFLAGS: 00010046
RAX: 0000000000000c00 RBX: 0000000001000000 RCX: 0000000000000000
RDX: ffff880007662480 RSI: 0000000000000002 RDI: 0000000000000300
RBP: ffff8800076d30a8 R08: 0000000000007765 R09: ffff8800076d2f48
R10: ffffffff8107ad87 R11: 0000000000000078 R12: 0000000000000046
R13: 0000000000000002 R14: 0000000000000c00 R15: 000000008eb41ac0
FS:  0000000000000000(0000) GS:ffff880003200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000004b2135 CR3: 0000000004a3e000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process insmod (pid: 113, threadinfo ffff8800076d2000, task ffff880007662480)
Stack:
 0000000000000000 ffff880007662480 000000008eb41ac0 ffff8800076629b0
<0> ffff8800076d30b8 ffffffff810251ec ffff8800076d30d8 ffffffff81021bbc
<0> ffff8800076e4148 ffff8800076e4148 ffff8800076d3128 ffffffff81236e50
Call Trace:
 [<ffffffff810251ec>] flat_send_IPI_all+0x22/0x5c
 [<ffffffff81021bbc>] arch_trigger_all_cpu_backtrace+0x48/0x75
 [<ffffffff81236e50>] do_raw_spin_lock+0x117/0x142
 [<ffffffff812250f3>] ? rcu_read_lock+0x0/0x35
 [<ffffffff81482ac7>] _raw_spin_lock_irqsave+0x6e/0x88
 [<ffffffff81224e23>] ? cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff81224e23>] cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff8122548e>] call_for_each_cic+0x37/0x5d
 [<ffffffff812254c9>] cfq_exit_io_context+0x15/0x17
 [<ffffffff8121c374>] exit_io_context+0x80/0xac
 [<ffffffff8121c33f>] ? exit_io_context+0x4b/0xac
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8105464c>] do_exit+0x776/0x7aa
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff8148450f>] oops_end+0xbf/0xc7
 [<ffffffff8100d4d1>] die+0x5a/0x63
 [<ffffffff81483f28>] do_trap+0x121/0x130
 [<ffffffff8100b636>] do_invalid_op+0x94/0x9d
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffff812137a8>] ? elv_rb_del+0x35/0x4e
 [<ffffffff814826da>] ? trace_hardirqs_off_thunk+0x3a/0x3c
 [<ffffffff81483600>] ? irq_return+0x0/0x10
 [<ffffffff8100a95b>] invalid_op+0x1b/0x20
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffffa000e436>] ? do_virtblk_request+0x241/0x26c [virtio_blk]
 [<ffffffff810dbca6>] ? sync_page+0x0/0x55
 [<ffffffff8121878a>] __generic_unplug_device+0x35/0x3a
 [<ffffffff81218a3b>] generic_unplug_device+0x2e/0x3e
 [<ffffffff81216b03>] blk_unplug+0x29/0x2d
 [<ffffffff81216b19>] blk_backing_dev_unplug+0x12/0x14
 [<ffffffff81142389>] block_sync_page+0x38/0x3c
 [<ffffffff810dbcf2>] sync_page+0x4c/0x55
 [<ffffffff81480fc0>] __wait_on_bit_lock+0x46/0x8f
 [<ffffffff810dbc8d>] __lock_page+0x66/0x6d
 [<ffffffff8106add7>] ? wake_bit_function+0x0/0x33
 [<ffffffff810dc99a>] lock_page+0x3c/0x41
 [<ffffffff810dcbf2>] do_read_cache_page+0xc3/0x126
 [<ffffffff811482c7>] ? blkdev_readpage+0x0/0x1a
 [<ffffffff810dcc99>] read_cache_page_async+0x1c/0x1e
 [<ffffffff810dcca9>] read_cache_page+0xe/0x18
 [<ffffffff81175927>] read_dev_sector+0x33/0x96
 [<ffffffff81177dc4>] read_lba+0x7e/0xdf
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81178270>] find_valid_gpt+0xcc/0x4cd
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff811786eb>] efi_partition+0x7a/0x2e7
 [<ffffffff81480281>] ? printk+0x41/0x48
 [<ffffffff81176433>] rescan_partitions+0x184/0x3a7
 [<ffffffff81148a46>] __blkdev_get+0x2b2/0x3a8
 [<ffffffff8122b73b>] ? kobject_put+0x47/0x4b
 [<ffffffff81148b4c>] blkdev_get+0x10/0x12
 [<ffffffff81175ad2>] register_disk+0xdc/0x13f
 [<ffffffff8121f23b>] add_disk+0xaf/0x10b
 [<ffffffffa000ea84>] virtblk_probe+0x44f/0x48f [virtio_blk]
 [<ffffffff8117b079>] ? sysfs_do_create_link+0xe7/0x13c
 [<ffffffffa000e461>] ? blk_done+0x0/0xce [virtio_blk]
 [<ffffffffa00072df>] virtio_dev_probe+0xb7/0xdb [virtio]
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f138f>] __device_attach+0x3a/0x3f
 [<ffffffff812f1355>] ? __device_attach+0x0/0x3f
 [<ffffffff812f0283>] bus_for_each_drv+0x59/0x90
 [<ffffffff812f142f>] device_attach+0x6c/0x90
 [<ffffffff812f0097>] bus_probe_device+0x27/0x3e
 [<ffffffff812ee6b9>] device_add+0x3c2/0x59e
 [<ffffffff812ee8b3>] device_register+0x1e/0x22
 [<ffffffffa00073ec>] register_virtio_device+0x7b/0x99 [virtio]
 [<ffffffff81244f51>] ? pci_set_master+0x23/0x27
 [<ffffffffa00ace23>] virtio_pci_probe+0x161/0x1a5 [virtio_pci]
 [<ffffffff81246079>] local_pci_probe+0x17/0x1b
 [<ffffffff81247001>] pci_device_probe+0xcd/0xfd
 [<ffffffff812f0fcf>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f1331>] __driver_attach+0x5d/0x81
 [<ffffffff812f12d4>] ? __driver_attach+0x0/0x81
 [<ffffffff812f0573>] bus_for_each_dev+0x59/0x8e
 [<ffffffff812f0f2e>] driver_attach+0x1e/0x20
 [<ffffffff812f0b4f>] bus_add_driver+0xfa/0x263
 [<ffffffff812f1638>] driver_register+0x9e/0x10f
 [<ffffffff81247247>] __pci_register_driver+0x68/0xd8
 [<ffffffff812eea77>] ? __root_device_register+0x8a/0xa7
 [<ffffffffa00b0000>] ? virtio_pci_init+0x0/0x60 [virtio_pci]
 [<ffffffffa00b0048>] virtio_pci_init+0x48/0x60 [virtio_pci]
 [<ffffffff8100207d>] do_one_initcall+0x72/0x18a
 [<ffffffff8108a9ba>] sys_init_module+0xd8/0x23a
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
Code: f6 c4 10 75 f2 c1 e3 18 89 1c 25 10 b3 5f ff 44 89 e8 44 09 f0 41 81 ce 00 04 00 00 41 83 fd 02 41 0f 44 c6 89 04 25 00 b3 5f ff <41> f7 c4 00 02 00 00 75 11 4c 89 e7 57 9d 0f 1f 44 00 00 e8 0e 
Call Trace:
 [<ffffffff810251ec>] flat_send_IPI_all+0x22/0x5c
 [<ffffffff81021bbc>] arch_trigger_all_cpu_backtrace+0x48/0x75
 [<ffffffff81236e50>] do_raw_spin_lock+0x117/0x142
 [<ffffffff812250f3>] ? rcu_read_lock+0x0/0x35
 [<ffffffff81482ac7>] _raw_spin_lock_irqsave+0x6e/0x88
 [<ffffffff81224e23>] ? cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff81224e23>] cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff8122548e>] call_for_each_cic+0x37/0x5d
 [<ffffffff812254c9>] cfq_exit_io_context+0x15/0x17
 [<ffffffff8121c374>] exit_io_context+0x80/0xac
 [<ffffffff8121c33f>] ? exit_io_context+0x4b/0xac
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8105464c>] do_exit+0x776/0x7aa
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff8148450f>] oops_end+0xbf/0xc7
 [<ffffffff8100d4d1>] die+0x5a/0x63
 [<ffffffff81483f28>] do_trap+0x121/0x130
 [<ffffffff8100b636>] do_invalid_op+0x94/0x9d
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffff812137a8>] ? elv_rb_del+0x35/0x4e
 [<ffffffff814826da>] ? trace_hardirqs_off_thunk+0x3a/0x3c
 [<ffffffff81483600>] ? irq_return+0x0/0x10
 [<ffffffff8100a95b>] invalid_op+0x1b/0x20
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffffa000e436>] ? do_virtblk_request+0x241/0x26c [virtio_blk]
 [<ffffffff810dbca6>] ? sync_page+0x0/0x55
 [<ffffffff8121878a>] __generic_unplug_device+0x35/0x3a
 [<ffffffff81218a3b>] generic_unplug_device+0x2e/0x3e
 [<ffffffff81216b03>] blk_unplug+0x29/0x2d
 [<ffffffff81216b19>] blk_backing_dev_unplug+0x12/0x14
 [<ffffffff81142389>] block_sync_page+0x38/0x3c
 [<ffffffff810dbcf2>] sync_page+0x4c/0x55
 [<ffffffff81480fc0>] __wait_on_bit_lock+0x46/0x8f
 [<ffffffff810dbc8d>] __lock_page+0x66/0x6d
 [<ffffffff8106add7>] ? wake_bit_function+0x0/0x33
 [<ffffffff810dc99a>] lock_page+0x3c/0x41
 [<ffffffff810dcbf2>] do_read_cache_page+0xc3/0x126
 [<ffffffff811482c7>] ? blkdev_readpage+0x0/0x1a
 [<ffffffff810dcc99>] read_cache_page_async+0x1c/0x1e
 [<ffffffff810dcca9>] read_cache_page+0xe/0x18
 [<ffffffff81175927>] read_dev_sector+0x33/0x96
 [<ffffffff81177dc4>] read_lba+0x7e/0xdf
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81178270>] find_valid_gpt+0xcc/0x4cd
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff811786eb>] efi_partition+0x7a/0x2e7
 [<ffffffff81480281>] ? printk+0x41/0x48
 [<ffffffff81176433>] rescan_partitions+0x184/0x3a7
 [<ffffffff81148a46>] __blkdev_get+0x2b2/0x3a8
 [<ffffffff8122b73b>] ? kobject_put+0x47/0x4b
 [<ffffffff81148b4c>] blkdev_get+0x10/0x12
 [<ffffffff81175ad2>] register_disk+0xdc/0x13f
 [<ffffffff8121f23b>] add_disk+0xaf/0x10b
 [<ffffffffa000ea84>] virtblk_probe+0x44f/0x48f [virtio_blk]
 [<ffffffff8117b079>] ? sysfs_do_create_link+0xe7/0x13c
 [<ffffffffa000e461>] ? blk_done+0x0/0xce [virtio_blk]
 [<ffffffffa00072df>] virtio_dev_probe+0xb7/0xdb [virtio]
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f138f>] __device_attach+0x3a/0x3f
 [<ffffffff812f1355>] ? __device_attach+0x0/0x3f
 [<ffffffff812f0283>] bus_for_each_drv+0x59/0x90
 [<ffffffff812f142f>] device_attach+0x6c/0x90
 [<ffffffff812f0097>] bus_probe_device+0x27/0x3e
 [<ffffffff812ee6b9>] device_add+0x3c2/0x59e
 [<ffffffff812ee8b3>] device_register+0x1e/0x22
 [<ffffffffa00073ec>] register_virtio_device+0x7b/0x99 [virtio]
 [<ffffffff81244f51>] ? pci_set_master+0x23/0x27
 [<ffffffffa00ace23>] virtio_pci_probe+0x161/0x1a5 [virtio_pci]
 [<ffffffff81246079>] local_pci_probe+0x17/0x1b
 [<ffffffff81247001>] pci_device_probe+0xcd/0xfd
 [<ffffffff812f0fcf>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f1331>] __driver_attach+0x5d/0x81
 [<ffffffff812f12d4>] ? __driver_attach+0x0/0x81
 [<ffffffff812f0573>] bus_for_each_dev+0x59/0x8e
 [<ffffffff812f0f2e>] driver_attach+0x1e/0x20
 [<ffffffff812f0b4f>] bus_add_driver+0xfa/0x263
 [<ffffffff812f1638>] driver_register+0x9e/0x10f
 [<ffffffff81247247>] __pci_register_driver+0x68/0xd8
 [<ffffffff812eea77>] ? __root_device_register+0x8a/0xa7
 [<ffffffffa00b0000>] ? virtio_pci_init+0x0/0x60 [virtio_pci]
 [<ffffffffa00b0048>] virtio_pci_init+0x48/0x60 [virtio_pci]
 [<ffffffff8100207d>] do_one_initcall+0x72/0x18a
 [<ffffffff8108a9ba>] sys_init_module+0xd8/0x23a
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b
Pid: 113, comm: insmod Tainted: G      D    2.6.34-11.fc14.x86_64 #1
Call Trace:
 <NMI>  [<ffffffff810114fd>] ? show_regs+0x2b/0x30
 [<ffffffff81484cc1>] nmi_watchdog_tick+0xc2/0x1a5
 [<ffffffff814841a2>] do_nmi+0xc8/0x297
 [<ffffffff81483b90>] nmi+0x20/0x39
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff81025154>] ? _flat_send_IPI_mask+0x79/0xab
 <<EOE>>  [<ffffffff810251ec>] flat_send_IPI_all+0x22/0x5c
 [<ffffffff81021bbc>] arch_trigger_all_cpu_backtrace+0x48/0x75
 [<ffffffff81236e50>] do_raw_spin_lock+0x117/0x142
 [<ffffffff812250f3>] ? rcu_read_lock+0x0/0x35
 [<ffffffff81482ac7>] _raw_spin_lock_irqsave+0x6e/0x88
 [<ffffffff81224e23>] ? cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff81224e23>] cfq_exit_single_io_context+0x2e/0x5e
 [<ffffffff81224df5>] ? cfq_exit_single_io_context+0x0/0x5e
 [<ffffffff8122548e>] call_for_each_cic+0x37/0x5d
 [<ffffffff812254c9>] cfq_exit_io_context+0x15/0x17
 [<ffffffff8121c374>] exit_io_context+0x80/0xac
 [<ffffffff8121c33f>] ? exit_io_context+0x4b/0xac
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff8105464c>] do_exit+0x776/0x7aa
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff8148450f>] oops_end+0xbf/0xc7
 [<ffffffff8100d4d1>] die+0x5a/0x63
 [<ffffffff81483f28>] do_trap+0x121/0x130
 [<ffffffff8100b636>] do_invalid_op+0x94/0x9d
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffff812137a8>] ? elv_rb_del+0x35/0x4e
 [<ffffffff814826da>] ? trace_hardirqs_off_thunk+0x3a/0x3c
 [<ffffffff81483600>] ? irq_return+0x0/0x10
 [<ffffffff8100a95b>] invalid_op+0x1b/0x20
 [<ffffffffa000e251>] ? do_virtblk_request+0x5c/0x26c [virtio_blk]
 [<ffffffffa000e436>] ? do_virtblk_request+0x241/0x26c [virtio_blk]
 [<ffffffff810dbca6>] ? sync_page+0x0/0x55
 [<ffffffff8121878a>] __generic_unplug_device+0x35/0x3a
 [<ffffffff81218a3b>] generic_unplug_device+0x2e/0x3e
 [<ffffffff81216b03>] blk_unplug+0x29/0x2d
 [<ffffffff81216b19>] blk_backing_dev_unplug+0x12/0x14
 [<ffffffff81142389>] block_sync_page+0x38/0x3c
 [<ffffffff810dbcf2>] sync_page+0x4c/0x55
 [<ffffffff81480fc0>] __wait_on_bit_lock+0x46/0x8f
 [<ffffffff810dbc8d>] __lock_page+0x66/0x6d
 [<ffffffff8106add7>] ? wake_bit_function+0x0/0x33
 [<ffffffff810dc99a>] lock_page+0x3c/0x41
 [<ffffffff810dcbf2>] do_read_cache_page+0xc3/0x126
 [<ffffffff811482c7>] ? blkdev_readpage+0x0/0x1a
 [<ffffffff810dcc99>] read_cache_page_async+0x1c/0x1e
 [<ffffffff810dcca9>] read_cache_page+0xe/0x18
 [<ffffffff81175927>] read_dev_sector+0x33/0x96
 [<ffffffff81177dc4>] read_lba+0x7e/0xdf
 [<ffffffff8107c851>] ? trace_hardirqs_on+0xd/0xf
 [<ffffffff81178270>] find_valid_gpt+0xcc/0x4cd
 [<ffffffff8107ad87>] ? trace_hardirqs_off+0xd/0xf
 [<ffffffff814832aa>] ? _raw_spin_unlock_irqrestore+0x40/0x56
 [<ffffffff811786eb>] efi_partition+0x7a/0x2e7
 [<ffffffff81480281>] ? printk+0x41/0x48
 [<ffffffff81176433>] rescan_partitions+0x184/0x3a7
 [<ffffffff81148a46>] __blkdev_get+0x2b2/0x3a8
 [<ffffffff8122b73b>] ? kobject_put+0x47/0x4b
 [<ffffffff81148b4c>] blkdev_get+0x10/0x12
 [<ffffffff81175ad2>] register_disk+0xdc/0x13f
 [<ffffffff8121f23b>] add_disk+0xaf/0x10b
 [<ffffffffa000ea84>] virtblk_probe+0x44f/0x48f [virtio_blk]
 [<ffffffff8117b079>] ? sysfs_do_create_link+0xe7/0x13c
 [<ffffffffa000e461>] ? blk_done+0x0/0xce [virtio_blk]
 [<ffffffffa00072df>] virtio_dev_probe+0xb7/0xdb [virtio]
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f138f>] __device_attach+0x3a/0x3f
 [<ffffffff812f1355>] ? __device_attach+0x0/0x3f
 [<ffffffff812f0283>] bus_for_each_drv+0x59/0x90
 [<ffffffff812f142f>] device_attach+0x6c/0x90
 [<ffffffff812f0097>] bus_probe_device+0x27/0x3e
 [<ffffffff812ee6b9>] device_add+0x3c2/0x59e
 [<ffffffff812ee8b3>] device_register+0x1e/0x22
 [<ffffffffa00073ec>] register_virtio_device+0x7b/0x99 [virtio]
 [<ffffffff81244f51>] ? pci_set_master+0x23/0x27
 [<ffffffffa00ace23>] virtio_pci_probe+0x161/0x1a5 [virtio_pci]
 [<ffffffff81246079>] local_pci_probe+0x17/0x1b
 [<ffffffff81247001>] pci_device_probe+0xcd/0xfd
 [<ffffffff812f0fcf>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff812f11a7>] driver_probe_device+0xed/0x21a
 [<ffffffff812f1331>] __driver_attach+0x5d/0x81
 [<ffffffff812f12d4>] ? __driver_attach+0x0/0x81
 [<ffffffff812f0573>] bus_for_each_dev+0x59/0x8e
 [<ffffffff812f0f2e>] driver_attach+0x1e/0x20
 [<ffffffff812f0b4f>] bus_add_driver+0xfa/0x263
 [<ffffffff812f1638>] driver_register+0x9e/0x10f
 [<ffffffff81247247>] __pci_register_driver+0x68/0xd8
 [<ffffffff812eea77>] ? __root_device_register+0x8a/0xa7
 [<ffffffffa00b0000>] ? virtio_pci_init+0x0/0x60 [virtio_pci]
 [<ffffffffa00b0048>] virtio_pci_init+0x48/0x60 [virtio_pci]
 [<ffffffff8100207d>] do_one_initcall+0x72/0x18a
 [<ffffffff8108a9ba>] sys_init_module+0xd8/0x23a
 [<ffffffff81009c72>] system_call_fastpath+0x16/0x1b

Looks like RHEL6 has a similar problem - bug 589397.

Version-Release number of selected component (if applicable):
guest:
kernel-2.6.34-11.fc14.x86_64

host:
qemu-kvm-0.12.1.2-2.68.el6.x86_64
kernel-2.6.32-19.el6.x86_64
libvirt-0.8.1-7.el6.x86_64

How reproducible:
always

Comment 1 Kevin Fenzi 2010-07-19 00:13:16 UTC
Reassigning over to fedora-virt-maint for more input/debugging.

Comment 2 Qian Cai 2010-07-19 02:32:37 UTC
This was posted upstream,
https://patchwork.kernel.org/patch/105410/

Comment 3 Bug Zapper 2010-07-30 11:45:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.